GNU bug report logs - #13964
24.3; randomize_va_space is back

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: important; Reported by: "Trent W. Buck" <trentbuck@HIDDEN>; merged with #23529; dated Fri, 15 Mar 2013 10:10:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) moreinfo. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) moreinfo. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 13964 23529. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Mar 2013 10:09:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 15 06:09:37 2013
Received: from localhost ([127.0.0.1]:55494 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UGRZw-0007cl-Tb
	for submit <at> debbugs.gnu.org; Fri, 15 Mar 2013 06:09:37 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38791)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <trentbuck@HIDDEN>) id 1UGRZt-0007cX-L0
	for submit <at> debbugs.gnu.org; Fri, 15 Mar 2013 06:09:35 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <trentbuck@HIDDEN>) id 1UGRYQ-0004qJ-9k
	for submit <at> debbugs.gnu.org; Fri, 15 Mar 2013 06:08:12 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_LOW,T_DKIM_INVALID autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:59957)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <trentbuck@HIDDEN>) id 1UGRYQ-0004qF-62
	for submit <at> debbugs.gnu.org; Fri, 15 Mar 2013 06:08:02 -0400
Received: from eggs.gnu.org ([208.118.235.92]:50130)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <trentbuck@HIDDEN>) id 1UGRYM-0005Tf-N2
	for bug-gnu-emacs@HIDDEN; Fri, 15 Mar 2013 06:08:02 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <trentbuck@HIDDEN>) id 1UGRYE-0004o8-Ok
	for bug-gnu-emacs@HIDDEN; Fri, 15 Mar 2013 06:07:58 -0400
Received: from mail-pb0-f47.google.com ([209.85.160.47]:34484)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <trentbuck@HIDDEN>) id 1UGRYE-0004nM-IC
	for bug-gnu-emacs@HIDDEN; Fri, 15 Mar 2013 06:07:50 -0400
Received: by mail-pb0-f47.google.com with SMTP id rp2so3611589pbb.20
	for <bug-gnu-emacs@HIDDEN>; Fri, 15 Mar 2013 03:07:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=x-received:date:from:to:subject:message-id:mime-version
	:content-type:content-disposition:user-agent;
	bh=cgTCkCiVvR3UNEBjjyquePL9FBBANSFCzBKpkLoYAw8=;
	b=X8e5dWEfCQM2W9py/34u0ZH5ycp3Yal6M4gZ/pEwxMhV7/6hL8B6VYKnJii7wqcgjj
	RVB0i1tivkw95d0bYPR/OmdilYBcqKD6a73MOTXfCd7Yrp8vBv4XJV6bdJpmfEcKKdGs
	SVrgF1hK9f1qupUibXJETPmnBKAT1oIqFqXgbpQMrjA+G1gH/6IlGrNqOqaFgoXwMBgH
	nCDiUxuqqFC8Y7/aBhtx5LBTAe7QQhWfEhhKNwswP3HTA8/xCsAjH8RljWaYtQHTKYxZ
	gXZB2WEcRY+vFpUKdINK5jpYJ+uCAm1Q450lh7TKYhBHIiVOBTZ94bPdzEEXIUCbVHJ9
	BMGA==
X-Received: by 10.68.7.163 with SMTP id k3mr14500427pba.141.1363342069071;
	Fri, 15 Mar 2013 03:07:49 -0700 (PDT)
Received: from elba ([203.7.155.68])
	by mx.google.com with ESMTPS id gf6sm8012306pbc.24.2013.03.15.03.07.45
	(version=TLSv1.2 cipher=RC4-SHA bits=128/128);
	Fri, 15 Mar 2013 03:07:48 -0700 (PDT)
Date: Fri, 15 Mar 2013 21:07:39 +1100
From: "Trent W. Buck" <trentbuck@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3; randomize_va_space is back
Message-ID: <877gl9t1vb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.5.21 (2010-09-15)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -6.1 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.1 (------)

I ran into this problem:

    http://article.gmane.org/gmane.emacs.devel/35276

This fixed it (it was set to 2):

    # echo 0 > /proc/sys/kernel/randomize_va_space

I didn't try setarch -R because I couldn't guess what my arch was to
tell setarch (I tried everything I could think of from "armv7l" to
"ventana").

I'm too lazy to read the whole 2005 thread.  Since etc/PROBLEMS doesn't
mention this issue, only the exec-shield one, I guess this problem was
supposed to be fixed at the time -- so why did I see it today?

In GNU Emacs 24.3.1 (armv7l-unknown-linux-gnueabi)
 of 2013-03-15 on elba
System Description:     Ubuntu 11.10

Configured using:
 `configure '--without-x' '--without-sound' '--without-all'
 '--with-x-toolkit=no' '--with-xpm=no' '--with-gif=no' '--with-jpeg=no'
 '--with-tiff=no' '--with-png=no' '--with-dbus=no' '--with-gsettings=no'
 '--with-gnutls=no' '--prefix=/home/twb/opt/emacs-24.3''

Important settings:
  value of $LC_COLLATE: C
  value of $LANG: en_AU.utf8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  ido-everywhere: t
  savehist-mode: t
  icomplete-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:


Recent messages:
("emacs" "-f" "report-emacs-bug")
Loading term/xterm...done
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail regexp-opt rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils advice help-fns cl-lib
advice-preload jka-compr edmacro kmacro ido savehist icomplete time-date
paren delsel saveplace ediff-hook vc-hooks lisp-float-type
tabulated-list newcomment lisp-mode register page menu-bar rfn-eshadow
timer jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face macroexp files text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process multi-tty emacs)

From IRC debugging:

twb> I'm trying to build emacs from source; there's a point where temacs
twb> deliberately dumps core to make the real "emacs".
twb>
twb> I get "Warning: Your system has a gap between BSS and the heap
twb> (15825968 bytes).  This usually means that exec-shield or something
twb> similar is in effect.  The dump may fail because of this.  See the
twb> section about exec-shield in etc/PROBLEMS for more information."
twb>
twb> System is an arm Ubuntu 11.10 (tegra2), non-standard kernel and
twb> nonstandard(?) gcc (Ubuntu/Linaro 4.6.1-9ubuntu3), apparmor is not
twb> installed.
twb>
twb> etc/PROBLEMS says to check /proc/sys/kernel/exec-shield -- I have no
twb> such file.
twb>
twb> What should I check next?




Acknowledgement sent to "Trent W. Buck" <trentbuck@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#13964; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 14 Jun 2016 18:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.